org.jbpm.persistence

## Class MapBasedProcessPersistenceContext

- java.lang.Object
- - org.drools.persistence.map.MapBasedPersistenceContext
  - - org.jbpm.persistence.MapBasedProcessPersistenceContext

- All Implemented Interfaces:
    org.drools.persistence.map.NonTransactionalPersistentSession, org.drools.persistence.PersistenceContext, NonTransactionalProcessPersistentSession, ProcessPersistenceContext

      public class MapBasedProcessPersistenceContext
      extends org.drools.persistence.map.MapBasedPersistenceContext
      implements ProcessPersistenceContext, NonTransactionalProcessPersistentSession

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapBasedProcessPersistenceContext(ProcessStorage storage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearStoredProcessInstances()`
    `void` | `close()`
    `ProcessInstanceInfo` | `findProcessInstanceInfo(Long processId)`
    `Long` | `getProcessInstanceByCorrelationKey(org.kie.internal.process.CorrelationKey correlationKey)`
    `List<Long>` | `getProcessInstancesWaitingForEvent(String type)`
    `List<ProcessInstanceInfo>` | `getStoredProcessInstances()`
    `CorrelationKeyInfo` | `persist(CorrelationKeyInfo correlationKeyInfo)`
    `ProcessInstanceInfo` | `persist(ProcessInstanceInfo processInstanceInfo)`
    `void` | `remove(ProcessInstanceInfo processInstanceInfo)`

    - ### Methods inherited from class org.drools.persistence.map.MapBasedPersistenceContext

      `clear, findSessionInfo, findWorkItemInfo, getStoredKnowledgeSessions, getStoredWorkItems, isOpen, joinTransaction, lock, lock, merge, persist, persist, remove, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.persistence.PersistenceContext

      `findSessionInfo, findWorkItemInfo, isOpen, joinTransaction, lock, merge, persist, persist, remove, remove`

    - ### Methods inherited from interface org.drools.persistence.map.NonTransactionalPersistentSession

      `clear, getStoredKnowledgeSessions, getStoredWorkItems`

- - ### Constructor Detail

    - #### MapBasedProcessPersistenceContext

          public MapBasedProcessPersistenceContext(ProcessStorage storage)

  - ### Method Detail

    - #### persist

          public ProcessInstanceInfo persist(ProcessInstanceInfo processInstanceInfo)

      Specified by:
        `persist` in interface `ProcessPersistenceContext`

    - #### findProcessInstanceInfo

          public ProcessInstanceInfo findProcessInstanceInfo(Long processId)

      Specified by:
        `findProcessInstanceInfo` in interface `ProcessPersistenceContext`

    - #### getStoredProcessInstances

          public List<ProcessInstanceInfo> getStoredProcessInstances()

      Specified by:
        `getStoredProcessInstances` in interface `NonTransactionalProcessPersistentSession`

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.drools.persistence.PersistenceContext`
      Overrides:
        `close` in class `org.drools.persistence.map.MapBasedPersistenceContext`

    - #### remove

          public void remove(ProcessInstanceInfo processInstanceInfo)

      Specified by:
        `remove` in interface `ProcessPersistenceContext`

    - #### getProcessInstancesWaitingForEvent

          public List<Long> getProcessInstancesWaitingForEvent(String type)

      Specified by:
        `getProcessInstancesWaitingForEvent` in interface `ProcessPersistenceContext`

    - #### clearStoredProcessInstances

          public void clearStoredProcessInstances()

      Specified by:
        `clearStoredProcessInstances` in interface `NonTransactionalProcessPersistentSession`

    - #### persist

          public CorrelationKeyInfo persist(CorrelationKeyInfo correlationKeyInfo)

      Specified by:
        `persist` in interface `ProcessPersistenceContext`

    - #### getProcessInstanceByCorrelationKey

          public Long getProcessInstanceByCorrelationKey(org.kie.internal.process.CorrelationKey correlationKey)

      Specified by:
        `getProcessInstanceByCorrelationKey` in interface `ProcessPersistenceContext`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.